import { UpdateResponse } from '@dvn/core/api';
import { GetListResponse } from '@dvn/core/api/dto/list';
import { Logger } from '@dvn/core/log/logger';
import { Agreement } from '@dvn/core/models/agreement';
import { AgreementConsent } from '@dvn/core/models/agreement-consent';
import { AppConfig } from '@dvn/core/models/app-config';
import { Membership } from '@dvn/core/models/membership';
import { MembershipConfig } from '@dvn/core/models/membership-config';
import { Storage } from '@dvn/kimlik/storage/Storage.interface';
import { UyeApi } from '@dvn/uye/api';
export declare class UyeApiDemo implements UyeApi {
  database: any;
  logger: Logger;
  storage: Storage;
  constructor(database: any, storage: Storage, logger: Logger);
  getAppConfigOfMembership(id: string): Promise<AppConfig>;
  addAuthInterceptor(_token: string): void;
  consentAgreement(agreementId: string): Promise<AgreementConsent>;
  getAgreement(id: string): Promise<Agreement>;
  activateMembership(membershipConfigId: string, membershipId: string): Promise<Membership>;
  getMembership(membershipConfigId: string, membershipId: string): Promise<Membership>;
  getMembershipsOfUser(userId: string): Promise<GetListResponse<Membership>>;
  getMembershipConfig(membershipConfigId: string): Promise<MembershipConfig>;
  getMembershipConfigWithName(name: string): Promise<MembershipConfig>;
  updateMembership(membershipConfigId: string, membershipId: string, data: Partial<Membership>): Promise<UpdateResponse>;
}
